Summary:        Color Management Engine
Name:           lcms2
Version:        2.13.1
Release:        3%{?dist}
License:        MIT
URL:            http://www.littlecms.com/
Source0:        http://www.littlecms.com/lcms2-%{version}.tar.gz

BuildRequires:  gcc make
BuildRequires:  libjpeg-devel libtiff-devel zlib-devel

%description
Little CMS intends to be a small-footprint color management engine,
with special focus on accuracy and performance. It uses the International
Color Consortium standard (ICC), which is the modern standard when
regarding to color management. The ICC specification is widely used and
is referred to in many International and other de-facto standards.

%package        utils
Summary:        Utility applications for lcms2
Requires:       %{name} = %{version}-%{release}

%description    utils
This package provides utility applications for lcms2.

%package        devel
Summary:        Development files for LittleCMS
Requires:       %{name} = %{version}-%{release}
Provides:       littlecms-devel = %{version}-%{release}

%description    devel
Development files for LittleCMS.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static --program-suffix=2

sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
%make_install

rm -fv %{buildroot}%{_libdir}/lib*.la

%check
%make_build check -k ||:

%files
%license COPYING
%doc AUTHORS ChangeLog README*
%{_libdir}/liblcms2.so.2*

%files utils
%{_bindir}/*
%{_mandir}/man1/*

%files devel
%{_includedir}/lcms2*.h
%{_libdir}/liblcms2.so
%{_libdir}/pkgconfig/lcms2.pc


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Sep 16 2022 Shuo Wang <abushwang@tencent.com> - 2.13.1-1
- initial build
